Volkswagen Passat Forum banner

1 - 6 of 6 Posts

·
Registered
Joined
·
15 Posts
Discussion Starter · #1 · (Edited)
Help guys! I made the mistake - I hope it isn't too costly - of buying an Ebay SD card to update the RNS 315 mapping on my 2013 car. Maps worked perfectly before but were outdated, and hadn't been updated since the car was made. V12 installation seemed to go OK - seemed about 70% done - but then it suddenly aborted and I was left with the message: "Error: internal device".

Navi is now useless as, obviously, it cleared the previous mapping data to install this new version. Maps won't run from SD card directly either, I get the same error message. I've tried doing a reversion to initial system settings but no luck.

Options? Firmware update, simple fix, somehow getting hold of an earlier update as I read in some forums that there is a problem relating to V12 with some RNS 315 units? I'll be gutted if I've bricked the unit itself. Love the car but had nothing but problems with it since buying it 2 months ago: sole key locked in boot (new key cut) battery flat (new battery fitted) lighting error as a result of battery flat (now driving with dash warning on - lol) and now this! I feel I'm due a slice of luck!

Be really grateful of any pointers.

Cheers,

Ben
 

·
Registered
Joined
·
3 Posts
I know this is a few months old now but I've had the same issue and looking for a solution. I have the RNS 315 on my 2013 car with stock software/maps. Tried to update with an official V11 card and had the same error as you've listed. Did you find a solution @BenSwitz or does anyone else have any ideas?
 

·
Registered
Joined
·
15 Posts
Discussion Starter · #3 ·
Hello mate! In the end I contacted the ebay card seller who sent me a a new V9 or 10 version plus another new v12 card. Told me it was a known problem and to run the new 9/10 THEN the new version. I reinstalled that older version - all functions restored - then didn't bother with the new one as I sold the car. But don't worry, unit itself should be fine.
 

·
Registered
Joined
·
3 Posts
Thanks for the reply @BenSwitz - that's good to hear! Hoping I can get this fixed then!

Thing is, I'm using a brand new genuine/official V11 card. From what you are saying, sounds like the system needs to be updated to level V9/V10 before you can go further (i.e. V11/V12). Does that sound right? Seems strange considering I'm using the official VW update card and they make no mention of having to update to V9/V10 before installing.

If possible, do you have details of your ebay seller? Might get in contact to see if he can help.
 

·
Registered
Joined
·
15 Posts
Discussion Starter · #5 ·
Exactly! You essentially have to run a progressive upgrade to get it to work, it seems.

Actually it wasn't an eBay buy - my mistake but this company.


Guy called Brian didn't quibble at all just said leave the old 12 card that didn't work, then install 9 then 12 from new cards he sent. 9 worked and takes you up to 2017 or so I think. So that was good enough for me! Didn't have the nerve to try 12 again. 😉
 
1 - 6 of 6 Posts
Top